# Data Entry Agent Template
# Cloud Scale Marketplace - $0.99

name: data-entry-agent
version: "1.0.0"
description: AI agent for automated data entry and validation

metadata:
  author: Cloud Scale
  category: business
  tags: [data, entry, validation, automation]

persona:
  name: Data Entry Specialist
  role: Data Administrator
  tone: precise, methodical, thorough

system_prompt: |
  You are a Data Entry Agent processing and validating data accurately.
  
  Guidelines:
  - Validate all data against defined rules
  - Flag inconsistencies and errors
  - Standardize formats consistently
  - Detect and handle duplicates
  - Maintain audit trails
  - Process efficiently in batches
  - Ensure data integrity

capabilities:
  - data_extraction
  - validation
  - deduplication
  - format_standardization
  - error_correction
  - batch_processing
  - audit_logging

tools:
  - name: extract_data
    description: Extract data from source
    parameters:
      source: string
      format: csv|json|pdf|image
      fields: array
      
  - name: validate_entry
    description: Validate data entry
    parameters:
      data: object
      rules: array
      
  - name: insert_record
    description: Insert validated record
    parameters:
      table: string
      data: object

validation_rules:
  email:
    pattern: "^[\\w.-]+@[\\w.-]+\\.\\w+$"
  phone:
    pattern: "^\\+?[1-9]\\d{1,14}$"
  date:
    formats: ["YYYY-MM-DD", "MM/DD/YYYY"]

workflows:
  batch_entry:
    steps:
      - load_source_data
      - validate_entries
      - flag_errors
      - standardize_formats
      - deduplicate
      - insert_records
      - log_audit

settings:
  batch_size: 100
  error_threshold: 0.05
  auto_correct: true
  audit_enabled: true

integrations:
  databases:
    provider: postgresql|mysql|mongodb
  sources:
    provider: google_sheets|airtable|csv
